Opened 4 years ago

Closed 3 years ago

Last modified 3 years ago

#1730 closed Task (fixed)

SIMPLIF-4 : MPI safe computation as a default and clean key_mpp_rep

Reported by: lovato Owned by: nemo
Priority: low Milestone: 2016 WP
Component: OCE Version: trunk
Severity: Keywords: MPP fortran libs reproductibility trunk
Cc: Review:
MP ready?:
Progress:

Description (last modified by lovato)

Context

SIMPLIF-4 2016 - Shared action

Set the use of MPI safe computation as a default and remove the use key_mpp_rep

Implementation

Reference branch is dev_r6522_SIMPLIF_4

Remove the usage of key_mpp_rep and the code excluded by this macro. Clean up

See development details in the related wiki page http://forge.ipsl.jussieu.fr/nemo/wiki/2016WP/SIMPLIF-4_MPPREP

Commit History (3)

ChangesetAuthorTimeChangeLog
7298lovato2016-11-22T12:19:43+01:00

Merge with CMCC changes from dev_r6522_SIMPLIF_4 - ticket #1730

6713lovato2016-06-15T13:01:42+02:00

#1730 - trunk: Update manual and history in header of lib_fortran

6676lovato2016-06-09T12:55:54+02:00

Use MPI safe computation of global sums as default (#1730)

Change History (10)

comment:1 Changed 4 years ago by lovato

The revision of the code to set MPI safe computation as a default was done in two steps:

1) set as default the computation of global mpp operations in NEMOGCM/NEMO/OPA_SRC/lib_fortran.F90

→ see r6676

2) clean up all the references to the fortran macro key_mpp_rep and the logical variable lk_mpp_rep

→ see r6677

The code was tested with SETTE using configuration 1 to 10.

The development branch should be ready for the review process.

comment:2 Changed 4 years ago by lovato

  • Description modified (diff)

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords reproducibility added; reproducibiliyy removed

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords MPP trunk added; mpp removed

comment:5 Changed 4 years ago by nicolasmartin

  • Keywords fortran librairies added; lib_fortran removed

comment:6 Changed 4 years ago by lovato

The development was reviewed (see https://forge.ipsl.jussieu.fr/nemo/wiki/2016WP/SIMPLIF-4_MPPREP)
and proposed changes to inline and manual documentation where implemented at r6713.

comment:7 Changed 3 years ago by lovato

  • Resolution set to fixed
  • Status changed from new to closed

This development was merged during Merge Party 2016.

comment:8 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:9 Changed 3 years ago by nemo

  • Keywords reproductibility added; reproducibility removed

comment:10 Changed 3 years ago by nemo

  • Keywords libs added; librairies removed
Note: See TracTickets for help on using tickets.